package com.sunxung.factoring.entity.tradingPlatform;

import com.alibaba.fastjson.annotation.JSONField;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.sunxung.factoring.entity.BaseEntity;

import java.util.Date;

/**
 * @author liuto
 */
@TableName(value = "trading_platform")
public class Platform extends BaseEntity {

    /**
     * 平台名称
     */
    @TableField(value = "platform_name")
    private String platformName;
    /**
     * 统一社会信用代码
     */
    @TableField("socialCreditCode")
    private String socialCreditCode;
    /**
     * 二网认证状态 0：未认证 1：已认证
     */
    @TableField("auth_status")
    private Integer authStatus;
    /**
     * 二网认证状态 0：未认证 1：已认证
     */
    @TableField("auto_sign_status")
    private boolean autoSignStatus;
    /**
     * 二网认证链接
     */
    @TableField("auth_url")
    private String authUrl;
    /**
     * 开通自动签链接
     */
    @TableField("auto_sign_url")
    private String autoSignUrl;
    /**
     * 二网在法大大上的客户编号
     */
    @TableField("fdd_customer_id")
    private String fddCustomerId;
    /**
     * 注册地址
     */
    @TableField("address")
    private String address;
    /**
     * 注册电话
     */
    @TableField("phone_number")
    private String phoneNumber;

    /**
     * 二网认证短链接
     */
    @TableField("short_auth_url")
    private String shortAuthUrl;

    /**
     * 短连接的生成日期
     */
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    @TableField("short_auth_url_create")
    private Date shortAuthUrlCreate;

    /**
     * 自动签署短链接
     */
    @TableField("short_auto_sign_url")
    private String shortAutoSignUrl;

    /**
     * 自动签署创建时间
     */
    @JSONField(format = "yyyy-MM-dd HH:mm:ss")
    @TableField("short_auto_sign_url_create")
    private Date shortAutoSignUrlCreate;

    public Platform() {
    }

    public boolean isAutoSignStatus() {
        return autoSignStatus;
    }

    public void setAutoSignStatus(boolean autoSignStatus) {
        this.autoSignStatus = autoSignStatus;
    }

    public String getPlatformName() {
        return platformName;
    }

    public void setPlatformName(String platformName) {
        this.platformName = platformName;
    }

    public String getSocialCreditCode() {
        return socialCreditCode;
    }

    public void setSocialCreditCode(String socialCreditCode) {
        this.socialCreditCode = socialCreditCode;
    }

    public Integer getAuthStatus() {
        return authStatus;
    }

    public void setAuthStatus(Integer authStatus) {
        this.authStatus = authStatus;
    }

    public String getAuthUrl() {
        return authUrl;
    }

    public void setAuthUrl(String authUrl) {
        this.authUrl = authUrl;
    }

    public String getAutoSignUrl() {
        return autoSignUrl;
    }

    public void setAutoSignUrl(String autoSignUrl) {
        this.autoSignUrl = autoSignUrl;
    }

    public String getFddCustomerId() {
        return fddCustomerId;
    }

    public void setFddCustomerId(String fddCustomerId) {
        this.fddCustomerId = fddCustomerId;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getPhoneNumber() {
        return phoneNumber;
    }

    public void setPhoneNumber(String phoneNumber) {
        this.phoneNumber = phoneNumber;
    }

    public String getShortAuthUrl() {
        return shortAuthUrl;
    }

    public void setShortAuthUrl(String shortAuthUrl) {
        this.shortAuthUrl = shortAuthUrl;
    }

    public Date getShortAuthUrlCreate() {
        return shortAuthUrlCreate;
    }

    public void setShortAuthUrlCreate(Date shortAuthUrlCreate) {
        this.shortAuthUrlCreate = shortAuthUrlCreate;
    }

    public String getShortAutoSignUrl() {
        return shortAutoSignUrl;
    }

    public void setShortAutoSignUrl(String shortAutoSignUrl) {
        this.shortAutoSignUrl = shortAutoSignUrl;
    }

    public Date getShortAutoSignUrlCreate() {
        return shortAutoSignUrlCreate;
    }

    public void setShortAutoSignUrlCreate(Date shortAutoSignUrlCreate) {
        this.shortAutoSignUrlCreate = shortAutoSignUrlCreate;
    }
}
